> ## Documentation Index
> Fetch the complete documentation index at: https://docs.request.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EIP-712 signing data with nonce

> Generate a nonce and return the complete EIP-712 signing data structure for payee destination creation or deactivation



## OpenAPI

````yaml /api-reference/openapi.v2.json get /v2/payee-destination/signing-data
openapi: 3.0.0
info:
  title: Request Network API
  description: API for easily creating and paying Requests with Request Network.
  version: 0.13.0
  contact: {}
servers:
  - url: https://api.request.network
    description: Production server
  - url: https://api.stage.request.network
    description: Staging server
  - url: http://127.0.0.1:8080
    description: Local development server
security: []
tags:
  - name: V2/Request
    description: Core payment request operations (V2)
  - name: V2/Payments
    description: Payment search and management operations (V2)
  - name: V2/Payouts
    description: Pay a request without creating one first (V2)
  - name: V2/Payer
    description: Crypto-to-fiat payer management operations (V2)
  - name: V2/Currencies
    description: Currency operations (V2)
  - name: V2/Client IDs
    description: Client ID management (V2)
  - name: V2/Payee Destination
    description: Payee destination management (V2)
externalDocs:
  description: Request Network Docs
  url: https://docs.request.network/request-network-api
paths:
  /v2/payee-destination/signing-data:
    get:
      tags:
        - V2/Payee Destination
      summary: Get EIP-712 signing data with nonce
      description: >-
        Generate a nonce and return the complete EIP-712 signing data structure
        for payee destination creation or deactivation
      operationId: PayeeDestinationController_getSigningData_v2
      parameters:
        - name: x-client-id
          in: header
          description: Client ID for frontend authentication
          required: true
          schema:
            type: string
        - name: Origin
          in: header
          description: Origin header (automatically set by browser)
          required: true
          schema:
            type: string
        - name: walletAddress
          required: true
          in: query
          description: The wallet address that will sign the message
          schema:
            type: string
        - name: action
          required: true
          in: query
          description: The action to perform (add or deactivate)
          schema:
            enum:
              - add
              - deactivate
            type: string
        - name: tokenAddress
          required: true
          in: query
          description: The ERC20 token address for the payee destination
          schema:
            type: string
        - name: chainId
          required: true
          in: query
          description: The chain ID where the token is deployed
          schema:
            type: string
      responses:
        '200':
          description: EIP-712 signing data with nonce
        '429':
          description: Too Many Requests

````